Name:           pass
Version:        1.7.3
Release:        %mkrel 1
Summary:        A password manager using standard Unix tools
License:        GPLv2+
Group:          Security	
URL:            https://www.passwordstore.org/	
Source0:		https://git.zx2c4.com/password-store/snapshot/password-store-%{version}.tar.xz
Patch0:         editor.patch
BuildArch:      noarch
#-------------------------------------
BuildRequires:  git
BuildRequires:  gnupg
BuildRequires:  pwgen
BuildRequires:  tree
BuildRequires:  xz
BuildRequires:  bash-completion
BuildRequires:  zsh
BuildRequires:  sed
#-------------------------------------
Requires:       xclip
Requires:       git
Requires:       gnupg
Requires:       pwgen
Requires:       tree


%description
Stores, retrieves, generates, and synchronizes passwords securely using gpg,
pwgen, and git.


%prep
%setup -q -n password-store-%{version}

%apply_patches

rm -f contrib/emacs/.gitignore


%build


%install
rm -rf %buildroot
make DESTDIR=%{buildroot} PREFIX=%{_prefix} \
     BINDIR=%{_bindir} SYSCONFDIR=%{_sysconfdir} \
     MANDIR=%{_mandir} FORCE_ALL=1 \
     install

%check
make test


%files
%{_bindir}/pass
%{_datadir}/bash-completion/completions/pass
%{_datadir}/fish/vendor_completions.d/pass.fish
%{_datadir}/zsh/site-functions/_pass
%doc %{_mandir}/man1/*


%changelog
* Tue Feb 16 2021 tex - 1.7.3-1pclos2021
- new version

* Sat Feb 11 2017 bb <bb> 1.6.5-1pclos2017
- import from france

